aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/zfs.sh
diff options
context:
space:
mode:
authorDamian Szuberski <[email protected]>2022-01-13 19:09:19 +0100
committerGitHub <[email protected]>2022-01-13 11:09:19 -0700
commit836136961a306f82e57a2f47b79e638ec843e56b (patch)
tree7951e3662a5ff71a9a462346afcce15e1d3f2936 /scripts/zfs.sh
parent8a7c4efd3cf47ce4a27b00c176845f1ac1c483c8 (diff)
Add ShellCheck's `--enable=all` inside `scripts/`
Strengthen static code analysis for shell scripts. Reviewed-by: Brian Behlendorf <[email protected]> Reviewed-by: John Kennedy <[email protected]> Signed-off-by: szubersk <[email protected]> Closes #12914
Diffstat (limited to 'scripts/zfs.sh')
-rwxr-xr-xscripts/zfs.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/zfs.sh b/scripts/zfs.sh
index 940c83ffa..0561092a0 100755
--- a/scripts/zfs.sh
+++ b/scripts/zfs.sh
@@ -75,6 +75,8 @@ while getopts 'hvruS' OPTION; do
usage
exit
;;
+ *)
+ ;;
esac
done
@@ -271,6 +273,10 @@ if [ "$UNLOAD" = "yes" ]; then
stack_check_linux
unload_modules_linux
;;
+ *)
+ echo "unknown system: $UNAME" >&2
+ exit 1
+ ;;
esac
fi
if [ "$LOAD" = "yes" ]; then
@@ -285,6 +291,10 @@ if [ "$LOAD" = "yes" ]; then
udevadm trigger
udevadm settle
;;
+ *)
+ echo "unknown system: $UNAME" >&2
+ exit 1
+ ;;
esac
fi